Subject: Re: Windows 7 and git-gui/gitk language

From: Pat Thoyts <[email-masked]>
Date: 19 Jun 2009 21:19:48 +0100

Pat Thoyts <[email-masked]> writes:

>If you fire up wish on its own (it is installed with msys Git) and
>enter 'package require msgcat; msgcat::mclocale' in the console window
>it should be showing something other than 'en' if your Windows
>installation is non-English. There might be a bug for the Tcl people
>here (comp.lang.tcl or the sourceforge bug tracker).
>

To follow-up on myself - the msgcat locale is set on Windows by
reading a value out of the registry. This seems to have changed on
Windows 7 now so the locale always gets defaulted to 'C'. I'll raise a
bug with the tcl project and get a fix done.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD